﻿/*
Plugin Name: TCO Calculator
Version: 1.0.0
Author: Your Name
Description: A plugin for calculating total cost of ownership.
*/

/* Add your CSS styles here */

#tco_container {
    display: flex;
    flex-direction: row;
}

.tco_sidebar {
    background-color: #F4F5F8;
    width: 30%;
    max-width: 520px;
    padding: 100px 3%;
}
body #tco_container .tco_sidebar h3{
    font-family: 'dinnextltpro-bold', Helvetica, Arial, Lucida, sans-serif;
    font-size: 20px;
    padding-bottom: 38px!important;
    color: #2B3A81;
}
.tco_sidebar select {
    color: #2B3A81;
    font-size: 16px;
    padding-left: 0px;
    width: 100%;
    border:0px;
    border-bottom: 2px solid #F18923;
    background-color: transparent;
    -moz-appearance:none; /* Firefox */
    -webkit-appearance:none; /* Safari and Chrome */
    appearance:none;
    margin-bottom: 10px;
}
.tco_sidebar select {
    background-image: url(../image/select-arrow-down.svg);
    background-repeat: no-repeat;
    background-position: right;
    background-size: 10px;
}
.tco_sidebar select:focus{
    border-bottom: 2px solid #F18923;
}
.tco_sidebar select[aria-hidden="true"] {
    margin: 0;
}
.tco_sidebar label {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    color: #2B3A81;
    font-size: 16px;
    font-family: 'dinnextltpro-medium', Helvetica, Arial, Lucida, sans-serif;
}
.tco_sidebar label .label_info {
    font-family: "dinnextltpro-light", Helvetica, Arial, Lucida, sans-serif;
}
.tco_sidebar_input {
    margin-bottom: 20px;
}

.tco_sidebar_input input[type="number"],
.tco_sidebar_input input[type="text"] {
    width: 100%;
    height: 40px;
    border: 0px solid #ccc!important;
    border-bottom: 2px solid #F18923!important;
    border-radius: 0px!important;
    background-color: transparent;
    padding: 0px;
    font-size: 16px;
}

.tco_chart {
    width: clamp(320px, 70%, 1920px);
    padding: 100px 8%;
}
.tco_chart_header{
    padding-left:35px;
}
body #tco_container .tco_chart_header h2{
    font-size: 30px;
    font-family: 'dinnextltpro-bold', Helvetica, Arial, Lucida, sans-serif;
    color: #2B3A81;
    padding-bottom:30px!important;
}
.tco_chart_header h2 i{
    font-family: '仿宋', Helvetica, Arial, Lucida, sans-serif;
}
.tco_chart_header p{
    font-size: 20px;
    font-family: 'dinnextltpro-light', Helvetica, Arial, Lucida, sans-serif;
    color: #243646;
    max-width: 680px;
    line-height:28px;
}
.tco_chart_content {
    width: 100%;
    margin-top: 40px;
    overflow-x: auto;
    overflow-y: clip;
}
.tco_chart_wrapper{
    min-width: 768px;
}

.changeRange {
    -webkit-appearance: none;
    appearance: none;
    background: transparent;
    cursor: pointer;
    width: 100%;
}

/* Stil für den Schieberegler (Hebel) */
.changeRange::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 16px;
    height: 16px;
    background: #f18923;
    cursor: pointer;
    border-radius: 50%;
    border: 2px solid white;
    margin-top: -5px;
}

.changeRange::-moz-range-thumb {
    width: 16px;
    height: 16px;
    background: #f18923;
    cursor: pointer;
    border-radius: 50%;
    border: 2px solid #F4F5F8;
    margin-top: -5px;
}

/* Stil für den ausgewählten Bereich */
.changeRange::-webkit-slider-runnable-track {
    background: linear-gradient(to right, #f18923 var(--value, 0%), rgba(241, 137, 35, 0.4) var(--value, 0%));
    height: 6px;
    border-radius: 10px;
}

.changeRange::-moz-range-progress {
    background-color: #f18923;
    height: 10px;
}

@media (max-width: 980px) {
    .tco_chart{
        padding: 50px 30px;
    }
    .tco_chart_header{
        padding-left:0px;
    }
    .tco_sidebar {
        width: 100%;
        max-width: 100%;
        padding: 60px 40px;
        margin-top: 50px;
    }
    .tco_sidebar h3{
        font-size:18px;
        padding-bottom: 30px;
    }
    .tco_chart {
        width: 100%;
    }
    #tco_container {
        display: flex;
        flex-direction: column-reverse;
    }

    .tco_chart_header h2{
        text-align: center;
    }
    .tco_chart_header p{
        font-size: 18px;
        line-height:26px;
        text-align: center;
        margin: auto;
    }

}